Bug 1414120 - Bonded Interface is created wrong during kickstart
Summary: Bonded Interface is created wrong during kickstart
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1420851
TreeView+ depends on / blocked
 
Reported: 2017-01-17 19:57 UTC by Josh Foots
Modified: 2020-02-14 18:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-19 17:05:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Josh Foots 2017-01-17 19:57:56 UTC
Description of problem:

Line from kickstart:

network --device=bond0 --bondslaves=en0,en1 --bondopts=mode=active-backup,miimon=100 --noipv6 --bootproto static --ip=192.168.0.22 --netmask=255.255.255.000 --gateway=192.168.0.254 --nameserver=192.168.0.255 --hostname test.example.com
network --device=en0 --activate
network --device=en1 --activate

after the build completes, bond0 is up and NIC ens224 is active. the other slave NIC is _ens192. When I failover to _ens192 using `ifenslave -c bond0 _ens192` the command succeeds but then bond0 is no longer reachable (can't even ping the gateway). 


Version-Release number of selected component (if applicable):


How reproducible:
Very

Steps to Reproduce:
1. Create a kickstart with the bonding options in  https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Installation_Guide/sect-kickstart-syntax.html#sect-kickstart-commands
2. Kickstart system
3.

Actual results:

bond0 is up and NIC ens224 is active. the other slave NIC is _ens192. When I failover to _ens192 using `ifenslave -c bond0 _ens192` the command succeeds but then bond0 is no longer reachable (can't even ping the gateway). 


Expected results:

For second nic to function properly.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.